CREATE TABLE hwm_tcat_logic_exprs (
    TCAT_LOGIC_EXPR_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    TCAT_ID                     NUMBER(18, 0)    NOT NULL,
    TCAT_EXPRESSION_CMP_1_ID    NUMBER(18, 0),
    COMPONENT1                  VARCHAR2(20) ,
    OPERATOR                    VARCHAR2(80) ,
    TCAT_EXPRESSION_CMP_2_ID    NUMBER(18, 0),
    COMPONENT2                  VARCHAR2(20) ,
    EXPRESSION_DEPTH            NUMBER(18, 0),
    ENTERPRISE_ID               NUMBER(18, 0)    NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    TCAT_LOGIC_EXPR_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    TCAT_ID                     NUMBER(18, 0)    NOT NULL,
    TCAT_EXPRESSION_CMP_1_ID    NUMBER(18, 0),
    COMPONENT1                  VARCHAR2(20) ,
    OPERATOR                    VARCHAR2(80) ,
    TCAT_EXPRESSION_CMP_2_ID    NUMBER(18, 0),
    COMPONENT2                  VARCHAR2(20) ,
    EXPRESSION_DEPTH            NUMBER(18, 0),
    ENTERPRISE_ID               NUMBER(18, 0)    NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    CONSTRAINT pk_hwm_tcat_logic_exprs PRIMARY KEY (TCAT_LOGIC_EXPR_ID, TCAT_LOGIC_EXPR_ID)
);
